com.singularsys.jep

## Enum OperatorTable2.PsudoOperators

- java.lang.Object
- - java.lang.Enum<OperatorTable2.PsudoOperators>
  - - com.singularsys.jep.OperatorTable2.PsudoOperators

- All Implemented Interfaces:
    EmptyOperatorTable.OperatorKey, java.io.Serializable, java.lang.Comparable<OperatorTable2.PsudoOperators>
  Enclosing class:
    OperatorTable2

      public static enum OperatorTable2.PsudoOperators
      extends java.lang.Enum<OperatorTable2.PsudoOperators>
      implements EmptyOperatorTable.OperatorKey

  Operators which do not correspond to

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NOP` Represent a no-operation
    `POSTFIX` Used to mark the precedence level of postfix operators like x++
    `PREFIX` Used to mark the precedence level of prefix operators like ++x
    `RECIP` reciprocal 1/x
    `UPLUS` Unary plus +x

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OperatorTable2.PsudoOperators` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OperatorTable2.PsudoOperators[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOP

          public static final OperatorTable2.PsudoOperators NOP

      Represent a no-operation

    - #### UPLUS

          public static final OperatorTable2.PsudoOperators UPLUS

      Unary plus +x

    - #### RECIP

          public static final OperatorTable2.PsudoOperators RECIP

      reciprocal 1/x

    - #### PREFIX

          public static final OperatorTable2.PsudoOperators PREFIX

      Used to mark the precedence level of prefix operators like ++x

    - #### POSTFIX

          public static final OperatorTable2.PsudoOperators POSTFIX

      Used to mark the precedence level of postfix operators like x++

  - ### Method Detail

    - #### values

          public static OperatorTable2.PsudoOperators[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperatorTable2.PsudoOperators c : OperatorTable2.PsudoOperators.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperatorTable2.PsudoOperators valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 Singular Systems http://www.singularsys.com/jep